#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/ioctl.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <string.h>
#include "bttv.h"

int fbttv;
char *bttvname="/dev/video";
unsigned char tvee[256];

int main(void)
{
  int i;
  
  if ((fbttv=open(bttvname,O_RDWR)) < 0) {
    fprintf(stderr, "Cannot open %s\n", bttvname);
    exit(1);
  }
  if( ioctl(fbttv, BTTV_READEE, tvee)) {
    perror("Cannot read EEPROM");
    exit(2);
  }

  /* On my card only the first 40 bytes are interesting */
  printf ("unsigned char tvee[256] = {");
  for (i=0; i<256; i++) {
    if (!(i&7))
      printf ("\n");
    printf ("0x%02x, ", tvee[i]);
  }
  printf ("\n};\n");

  close(fbttv);
  return 0;
}


