#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/ioctl.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <string.h>
#include "bttv.h"
#include "tvee.h"

int fbttv;
char *bttvname="/dev/bttv";

int main(void)
{
  if ((fbttv=open(bttvname,O_RDWR)) < 0) {
    fprintf(stderr, "Cannot open %s\n", bttvname);
    exit(1);
  }
  if( ioctl(fbttv, BTTV_WRITEE, tvee)) {
     perror("Cannot write EEPROM");
     exit(2);
  }
  close( fbttv);
  return 0;
}


