##################################################################
##****************************************************************
##* Copyright (C) 1998 Sylvio Triebel
##*
##* $Id: keybindings.tcl,v 1.4 1998/01/28 16:33:56 silvio Exp $
##* Revision     : $Revision: 1.4 $
##* Datum        : 16.1.98
##* Systems      : Tcl/Tk 7.6 8.0, [incr tcl] 
##*
##*
##* Documentation: 
##*
##****************************************************************

proc tkdrawSetGlobalKeybindings {} {
    global tkdraw

    bind . <KeyPress-d>         tkdrawDuplicateSelected
    bind . <Control-d>          tkdrawDeleteSelected
    bind . <Meta-d>             tkdrawDeleteSelected
    bind . <Control-c>          tkdrawCopySelected
    bind . <Control-v>          tkdrawPaste


    bind . <f>                  tkdrawRiseSelected
    bind . <b>                  tkdrawLowerSelected

    bind . <g>                  tkdrawGroupSelected
    bind . <u>                  tkdrawUngroupSelected

    bind . <s>                  "set tkdraw(edit) select"
    bind . <a>                  "set tkdraw(edit) alter"

    bind . <r>                  "set tkdraw(edit) rect"
    bind . <o>                  "set tkdraw(edit) oval"
    bind . <l>                  "set tkdraw(edit) line"
    bind . <c>                  "set tkdraw(edit) curve"
    bind . <p>                  "set tkdraw(edit) poly" 
    bind . <y>                  "set tkdraw(edit) spoly" 


    bind . <A>                  "tkdrawAlignSelected"
}

proc tkdrawClearGlobalKeybindings {} {
    #alle alten bindings loeschen
    foreach b [bind .] {
	bind . $b "" 
    }
}

