##################################################################
##*****************************************************************
##* Copyright (C) 1998 Sylvio Triebel
##*
##* Id           : $Id: motion.tcl,v 1.2 1998/01/28 16:46:35 silvio Exp $
##* Revision     : $Revision: 1.2 $
##* Datum        : 16.1.98
##* Systems      : Tcl/Tk 7.6 8.0, [incr tcl] 
##*
##*
##* Documentation: 
##*
##*****************************************************************

proc tkdrawBindMove { {x 0} {y 0} } {
    global tkdraw

    #alle alten bindings loeschen
    tkdrawInitCanvasBindings

    set tkdraw(movact) 1
    set tkdraw(oldx) $x
    set tkdraw(oldy) $y
    set tkdraw(Oldx) $x
    set tkdraw(Oldy) $y

    set id [$tkdraw(canvas) find closest $tkdraw(oldx) $tkdraw(oldy)]
    if { [tkdrawIsSelected $id] != 1 } {
	tkdrawDeselectAll
	tkdrawSelectItem $id
    }

    bind $tkdraw(canvas) <ButtonRelease-3> {
	set tkdraw(undo) "$tkdraw(canvas) move selected [expr $tkdraw(Oldx)-$tkdrawX] [expr $tkdraw(Oldy)-$tkdrawY]"
	tkdrawRestoreEditmode $tkdraw(canvas)
    }
    bind $tkdraw(canvas) <Motion> { 
	set tkdrawX [$tkdraw(canvas) canvasx %x $tkdraw(raster)] 
	set tkdrawY [$tkdraw(canvas) canvasy %y $tkdraw(raster)]
	if { $tkdraw(movact) } {
	    set dx [expr $tkdrawX - $tkdraw(oldx)]
	    set dy [expr $tkdrawY - $tkdraw(oldy)]
	    set tkdraw(oldx) $tkdrawX
	    set tkdraw(oldy) $tkdrawY
	    $tkdraw(canvas) move selected $dx $dy
	}
    }
}

